var http = require("http");
var querystring = require("querystring");
var url = require("url");
var fs = require("fs");

function do_get(req, res) {
    console.log("do GET");
    res.writeHead(200, {"Content-Type": "text/plain"});
    res.end("Hello, from Test Web Service!");

}

function do_post(req, res) {
    console.log("do POST");
    var data = '';
    req.on('readable', function(chunk) {
	    var dp = req.read();
	    if (dp != null) {
		data += dp;
	    }
	});
    req.on('end', function() {
	    querystring.parse(data);
	    console.log("data = " + data);
	    res.end(data);
	});
}

var server = http.createServer(function(req, res) {

	console.log(req.method + " : " + req.url);

	if (req.method == "GET") {
		do_get(req, res);
	}
	else if (req.method == "POST") {
		do_post(req, res);
	}
});


var port = 8888;

server.listen(port, function(){
	console.log("start server port=" + port);
});
